package com.zkqy.system.mapper;

import com.zkqy.system.entity.DragTableGroup;
import java.util.List;

/**
 * @author hmc
 * @date 2023-11-01 14:24
 * @Description:
 */
public interface DragTableGroupMapper {

    /**
     * 查询拖拽格组
     *
     * @param id 拖拽格组主键
     * @return 拖拽格组
     */
    public DragTableGroup selectDragTableGroupById(Long id);

    /**
     * 查询拖拽格组列表
     *
     * @param dragTableGroup 拖拽格组
     * @return 拖拽格组集合
     */
    public List<DragTableGroup> selectDragTableGroupList(DragTableGroup dragTableGroup);

    /**
     * 新增拖拽格组
     *
     * @param dragTableGroup 拖拽格组
     * @return 结果
     */
    public int insertDragTableGroup(DragTableGroup dragTableGroup);

    /**
     * 修改拖拽格组
     *
     * @param dragTableGroup 拖拽格组
     * @return 结果
     */
    public int updateDragTableGroup(DragTableGroup dragTableGroup);

    /**
     * 删除拖拽格组
     *
     * @param id 拖拽格组主键
     * @return 结果
     */
    public int deleteDragTableGroupById(Long id);

    /**
     * 批量删除拖拽格组
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDragTableGroupByIds(Long[] ids);

    /**
     * 通过分组key查询分组的表信息
     * @param groupKey
     * @return
     */
    public String selectDragTableGroupByGroupKey(String groupKey);

    /**
     * 通过In id查询出来组信息
     * @return
     */
    public  List<DragTableGroup> selectDragTableGroupByIdIn(Long[] ids);

    /**
     * 通过GroupKey
     * @return
     */
    public  DragTableGroup selectDragTableGroupOneByGroupKey(String groupKey);

    /**
     * 查询拖拽表格组
     * @param groupKey
     * @return
     */
    DragTableGroup selectDragTableGroupInfoByGroupKey(String groupKey);

    /**
     * 查询表格组数量
     * @param dragTableGroup
     * @return
     */
    int selectDragTableGroupListCount(DragTableGroup dragTableGroup);
}
